package main

import (
	"log"

	_ "git.paulbsd.com/paulbsd/qrz/packrd"
	"git.paulbsd.com/paulbsd/qrz/src/config"
	"git.paulbsd.com/paulbsd/qrz/src/database"
	"git.paulbsd.com/paulbsd/qrz/src/qrz"
	"git.paulbsd.com/paulbsd/qrz/src/qrzws"
	_ "github.com/lib/pq"
)

var version string

func main() {
	var cfg config.Config
	cfg.GetConfig()
	cfg.Version = version

	err := database.Initialize(&cfg)
	defer cfg.Db.Close()

	err = qrz.InitCronConfig(cfg)
	if err != nil {
		log.Fatalln(err)
	}

	err = qrzws.RunServer(cfg)
	if err != nil {
		log.Fatalln(err)
	}
}
